## gnumeric 1.10.17

=== debian/changelog ===
gnumeric (1.10.17-1) unstable; urgency=low

  * New upstream stable release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 01 Aug 2011 20:02:18 +0200
