## gnumeric 1.12.0

=== debian/changelog ===
gnumeric (1.12.0-1ubuntu1) raring; urgency=low

  [ Allison Randal ]
  * Merge from Debian unstable (LP: #1042972, #1099027). Remaining changes:
    - debian/control: Promote gnumeric-doc to Recommends in package gnumeric
      so that help gets installed automatically.
    - debian/rules: Run intltool-update in po{,-functions}/.

  [ Colin Watson ]
  * debian/patches/introspection-fixes.patch: Apply introspection fixes from
    upstream, needed to build with current gobject-introspection.
  * debian/patches/python-multiarch.patch: Support multiarch Python.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Jan 2013 12:40:10 +0000

gnumeric (1.12.0-1) unstable; urgency=low

  * New upstream release, first of the new stable series.
  * [debian/rules] Use dh_autotools-dev_updateconfig instead of our own
    config.{guess,sub} handling.
  * [debian/control]
    * Update build dependencies following gsf and goffice gir
      packaging fixes.
    * Drop obsoleted python-gtk2-dev build dependency.
    * Add autotools-dev build dependency for dh_autotools-dev_updateconfig.
  * [debian/patches] None needed currently.
  * [debian/watch] Upstream has switched to .xz tarballs.
  * Issues fixed in this release or in the 1.11 development series:
    * Import of charts in a table:shapes environment in ODF. (Closes: 672451)
    * Redefining a deleted name no longer requires a restart. (Closes: 661505)
    * Data -> Export Data provides access to all supported export formats.
      (Closes: 666699)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 01 Jan 2013 18:20:39 +0100

gnumeric (1.11.90-1) experimental; urgency=low

  * New upstream development release.
  * [debian/patches/update-translations] Post-release translation updates.
  * [debian/rules]
    * Harden build.
    * Enable Introspection support.
    * Added --disable-maintainer-mode to configure flags.
    * Don't update config.{guess,sub} as part of "clean".
  * [debian/control]
    * Updated goffice build dependency.
    * Updated glib build dependency.
    * Updated pango build dependency.
    * Updated libgsf build dependency.
    * Switched gtk build dependency to gtk3.
    * Switched python-gobject build dependency to python-gi-dev.
    * Added versioned dpkg-dev build dependency for hardening data.
    * Added libgirepository1.0-dev and libgsf and goffice gir build
      dependencies for introspection support.
    * Updated Standards-Version.
  * [debian/gir1.2-gnumeric.dirs, debian/gir1.2-gnumeric.install] New.
  * [debian/gnumeric.install, debian/gnumeric-common.install, debian/rules]
    Removed references to gconf schemes.
  * [debian/gnumeric-common.install] Removed reference to UI files as they
    are embedded now.
  * [debian/patches/patches/ffd85ed-backport] New. Adding per upstream's
    recommendation.
  * [debian/patches/re-auto-all] Drop.
  * [debian/patches/series] Updated accordingly.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 02 Dec 2012 14:52:34 +0100

gnumeric (1.10.17-1.1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/control: Promote gnumeric-doc to Recommends in package gnumeric
      so that help gets installed automatically.
    - debian/rules: Run intltool-update in po{,-functions}/.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 Jun 2012 09:44:49 +0100

gnumeric (1.10.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix unexpected upstream changes with patch from Paul
    Wise, extended to remove previous config.sub patch.  (Closes: #663193)
  * Also add explicit build-depends on autotools-dev for config.sub and
    config.guess

 -- Neil Williams <codehelp@debian.org>  Sat, 12 May 2012 14:58:17 +0100

gnumeric (1.10.17-1ubuntu2) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 00:06:30 +0000

gnumeric (1.10.17-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Promote gnumeric-doc to Recommends in package gnumeric
      so that help gets installed automatically.
    - debian/rules: run intltool-update in po{,-functions}/

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 02 Aug 2011 14:17:43 +0200

gnumeric (1.10.16-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Promote gnumeric-doc to Recommends in package gnumeric
      so that help gets installed automatically.
    - debian/rules: run intltool-update in po{,-functions}/

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 27 Jun 2011 16:22:19 +0200

gnumeric (1.10.15-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Promote gnumeric-doc to Recommends in package gnumeric
      so that help gets installed automatically.
    - debian/rules: run intltool-update in po{,-functions}/

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 12 Jun 2011 12:07:28 +0200

gnumeric (1.10.14-1ubuntu2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2011 10:29:10 +0100
