=== debian/rules ===
--- 
+++ 
@@ -65,6 +65,8 @@
 		--localstatedir=/var/lib \
 		--libexecdir=/usr/bin \
                 --enable-compile-warnings=minimum \
+		--enable-introspection=yes \
+		--disable-maintainer-mode \
 		$(features)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
@@ -73,7 +75,11 @@
 	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
-CFLAGS = -Wall -g
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CFLAGS += -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -O0
@@ -104,8 +110,11 @@
 configure-stamp:
 	dh_testdir
 
+	cd po; intltool-update -p
+	cd po-functions; intltool-update -p
+
 	# Prepare for build
-	 
+	dh_autotools-dev_updateconfig 
 	mkdir build
 	cd build && env srcdir=`pwd`/.. \
 		../configure $(confflags) "CC=$(CC) $(LDFLAGS)" "CFLAGS=$(CFLAGS)"
@@ -138,18 +147,6 @@
 		debian/buildinfo
 
 	rm -rf debian/tmp build
-
-	# Update config.{sub,guess} from autotools-dev, if possible.
-	-for f in config.sub config.guess ; do \
-		if test -r /usr/share/misc/$$f ; then \
-			OLDDATE=`./$$f -t | tr -d -` ; \
-			NEWDATE=`/usr/share/misc/$$f -t | tr -d -` ; \
-			if [ $$OLDDATE -lt $$NEWDATE ] ; then \
-				echo "GNU config automated update of $$f (replacing $$OLDDATE with $$NEWDATE)" 1>&2 ; \
-				cp -f /usr/share/misc/$$f $$f ; \
-			fi; \
-		fi; \
-	done
 
 	debconf-updatepo
 
@@ -207,9 +204,6 @@
 
 	# Low-colour icon for use by the menu system
 	$(INSTALL) -m 644 debian/gnome-gnumeric.xpm `pwd`/debian/tmp/usr/share/pixmaps/
-
-	# Checksums of historical versions of conffiles
-	$(INSTALL) -m 644 debian/gnumeric-dialogs.schemas.md5sum debian/gnumeric-general.schemas.md5sum debian/gnumeric-plugins.schemas.md5sum `pwd`/debian/tmp/usr/share/gnumeric/
 
 	dh_install --sourcedir=`pwd`/debian/tmp --fail-missing
 
@@ -278,3 +272,27 @@
 	dh_installexamples -a
 	dh_python2 -a
 	dh_installmenu -a
+#	dh_installlogrotate -a
+#	dh_installemacsen -a
+#	dh_installpam -a
+	dh_installmime -a
+#	dh_installinit -a
+	dh_installcron -a
+	dh_installman -a
+	dh_link -a
+	dh_installinfo -a
+#	dh_undocumented -a
+	dh_installchangelogs ChangeLog -a
+	dh_gconf -a
+	dh_icons -a
+	dh_strip -a
+	dh_link -a
+	dh_compress -a
+
+	dh_buildinfo
+
+	dh_fixperms -a
+	dh_makeshlibs -a
+	dh_installdeb -a
+	dh_perl -a
+
