## gnumeric 1.12.1

=== debian/changelog ===
gnumeric (1.12.1-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Promote gnumeric-doc to Recommends in package gnumeric
      so that help gets installed automatically.
    - debian/rules: Run intltool-update in po{,-functions}/.
  * Dropped changes applied in new version:
    - debian/patches/introspection-fixes.patch:
    - debian/patches/python-multiarch.patch: 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 10 Mar 2013 15:35:32 -0400

gnumeric (1.12.1-1) unstable; urgency=low

  * New upstream release, first of the new stable series.
  * [debian/control]
    * Bumped goffice build dependency as per configure.ac .
  * [debian/patches/no-nested-externs-error] Added. Don't build
    -Werror=nested-externs as this breaks a test used for GLIB_WITH_NLS
    which in turn makes the locales directory come out wrong.
  * [debian/gnumeric.install] Include ssdiff.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 09 Mar 2013 22:18:14 +0100
