=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  autotools-dev, po-debconf, gettext, bison, flex, rarian-compat | scrollkeeper,
  intltool (>= 0.29), libxml-parser-perl,
  zlib1g-dev, libglib2.0-dev (>= 2.28.0), libgsf-1-dev (>= 1.14.24),
- libgoffice-0.10-dev (>= 0.10.0), libxml2-dev (>= 2.6.10-2),
+ libgoffice-0.10-dev (>= 0.10.1), libxml2-dev (>= 2.6.10-2),
  libpango1.0-dev (>= 1.24.0),
  libgtk-3-dev, libart-2.0-dev (>= 2.3.16-5),
  pxlib-dev (>= 0.5.1-2+b1), libperl-dev,
