## gnumeric 1.12.2

=== debian/changelog ===
gnumeric (1.12.2-1ubuntu1) saucy; urgency=low

  * Sync with Debian (LP: #1176571). Remaining change:
    - debian/control: Promote gnumeric-doc to Recommends in package gnumeric
      so that help gets installed automatically.
  * Dropped change: 
    - debian/rules: Run intltool-update in po{,-functions}/
      I believe this is already handled by debconf-updatepo.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 May 2013 16:36:34 -0400

gnumeric (1.12.2-1) unstable; urgency=low

  * New upstream release [April 2013].
    + Build-Depends on "libgoffice-0.10-dev (>= 0.10.2)".
  * Added Vcs links to new repository at collab-maint.
  * "debian/copyright" to copyright-format-1.0 + audit.
  * Updated "no-nested-externs-error.patch"; added DEP-3 headers.
  * Debhelper & compat to version 9; rules rewrite (dh-style).
    + "autotools-dev" --> "dh-autoreconf".
    + verbose build (--disable-silent-rules).
    + enabled parallel build.
    + clean-up.
    + do not install windows icons (*.ico files) any more.
    + convert menu icon on build-time.
  * Lintianisation:
    + "desktop-command-not-in-package": .desktop file moved to the main
      package; added corresponding Breaks/Replaces.
    + "postinst-does-not-load-confmodule".
    + "missing-debconf-dependency-for-preinst".
    + lintian-oveddides for hardening false-positives.
    + lintian-oveddides for warnings related to private "libspreadsheet"
      library.
    + lintian-oveddides for "script-not-executable".
  * Clean-up:
    + clean generated "src/parser.c" file.
    + dropped unused -conf files md5sum check.
    + dropped *.dirs files.
    + dropped broken symlink "GNOME_Gnumeric.idl".
    + debian/control: don't suggest "epiphany-browser".
    + debian/control: added consistency Breaks to match Replaces.
    + debian/control: re-arranged package lists.
    + debian/control: dropped unnecessary versioned dependencies
      and unknown packages.
  * xz compression for source archive and binary packages (*.deb).
  * New maintainer; thanks for all your work, J.H.M. Dassen (Ray).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 28 May 2013 11:05:49 +1000
