=== debian/control ===
--- 
+++ 
@@ -2,32 +2,48 @@
 Section: math
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dh-buildinfo, dpkg-dev (>= 1.16.1.1),
- autotools-dev, po-debconf, gettext, bison, flex, rarian-compat | scrollkeeper,
- intltool (>= 0.29), libxml-parser-perl,
- zlib1g-dev, libglib2.0-dev (>= 2.28.0), libgsf-1-dev (>= 1.14.24),
- libgoffice-0.10-dev (>= 0.10.1), libxml2-dev (>= 2.6.10-2),
- libpango1.0-dev (>= 1.24.0),
- libgtk-3-dev, libart-2.0-dev (>= 2.3.16-5),
- pxlib-dev (>= 0.5.1-2+b1), libperl-dev,
- python-dev (>= 2.6.6-3), python-gi-dev,
- libgirepository1.0-dev
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 9) ,dh-autoreconf ,dh-buildinfo ,po-debconf ,imagemagick ,dpkg-dev (>= 1.16.1.1)
+              ,bison
+              ,flex
+              ,gettext
+              ,intltool
+              ,libart-2.0-dev
+              ,libglib2.0-dev (>= 2.28.0)
+              ,libgirepository1.0-dev
+              ,libgoffice-0.10-dev (>= 0.10.2)
+              ,libgsf-1-dev (>= 1.14.24)
+              ,libgtk-3-dev
+              ,libpango1.0-dev
+              ,libperl-dev
+              ,libxml-parser-perl
+              ,libxml2-dev
+              ,python-dev
+              ,python-gi-dev
+              ,pxlib-dev
+              ,rarian-compat | scrollkeeper
+              ,zlib1g-dev
 X-Python-Version: >= 2.5
 Homepage: http://www.gnumeric.org/
-Vcs-git: git://git.gnome.org/gnumeric
-Vcs-Browser: http://git.gnome.org/cgit/gnumeric
+Vcs-Git: git://anonscm.debian.org/collab-maint/gnumeric.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnumeric.git
 Standards-Version: 3.9.4
 
 Package: gnumeric
 Architecture: any
-Depends: ${shlibs:Depends}, procps, gsfonts,
- gnumeric-common (= ${source:Version}), ${misc:Depends}
-Recommends: evince (>= 0.9.0) | evince-gtk (>= 0.9.0), lp-solve, gnumeric-doc (>= ${Upstream-Version})
-Suggests: gnumeric-plugins-extra,
- epiphany-browser, ttf-liberation | ttf-mscorefonts-installer
-Breaks: gnumeric1.0, gnumeric1.0-doc, gnumeric-doc (<< ${Upstream-Version})
-Replaces: zh-trans (<< 0.8-1), gnumeric1.0
+Pre-Depends: debconf
+Depends: gnumeric-common (= ${source:Version})
+        ,${misc:Depends} ,${shlibs:Depends}
+        ,gsfonts
+        ,procps
+Recommends: evince | evince-gtk
+            ,gnumeric-doc (>= ${Upstream-Version})
+            ,lp-solve
+Suggests: gnumeric-plugins-extra
+         ,ttf-liberation | ttf-mscorefonts-installer
+Breaks: gnumeric-doc (<< ${Upstream-Version})
+       ,gnumeric-common (<< 1.12.2)
+Replaces: gnumeric-common (<< 1.12.2)
 Description: spreadsheet application for GNOME - main program
  Gnumeric is a spreadsheet application that interoperates well
  with other spreadsheets. It comes with plugins that enable it to deal with
@@ -56,8 +72,8 @@
  Gnumeric should be easy to use, in particular for users familiar with
  Excel.
  .
- Gnumeric is a GNOME application. GNOME (GNU Network Object Model Environment) 
- is a user-friendly set of applications and desktop tools to be used in 
+ Gnumeric is a GNOME application. GNOME (GNU Network Object Model Environment)
+ is a user-friendly set of applications and desktop tools to be used in
  conjunction with a window manager for the X Window System.
 
 Package: gnumeric-common
@@ -76,10 +92,10 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: yelp (>= 2.6.0), gnome-desktop-data
+Recommends: yelp, gnome-desktop-data
 Suggests: gnumeric (>= ${Upstream-Version}), docbook-xsl
-Breaks: gnumeric1.0-doc
-Replaces: gnumeric (<< 1.1.17-2), gnumeric1.0-doc, docbook-xsl
+Breaks: gnumeric (<< 1.1.17-2)
+Replaces: gnumeric (<< 1.1.17-2), docbook-xsl
 Description: spreadsheet application for GNOME - documentation
  Gnumeric is a spreadsheet application that interoperates well
  with other spreadsheets. It comes with plugins that enable it to deal with
@@ -90,11 +106,12 @@
 
 Package: gnumeric-plugins-extra
 Architecture: any
-Depends: gnumeric (= ${binary:Version}), python-gtk2, ${python:Depends},
- ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Breaks: gnumeric1.0-python, gnumeric1.0-gda, gnumeric-python, gnumeric-gda
-Replaces: gnumeric1.0-gda, gnumeric1.0-python, gnumeric-python, gnumeric-gda,
- gnumeric (<= 1.3.92-1)
+Depends: gnumeric (= ${binary:Version})
+        ,${misc:Depends} ,${shlibs:Depends}
+        ,${python:Depends} ,${perl:Depends}
+        ,python-gtk2
+Breaks: gnumeric (<= 1.3.92-1)
+Replaces: gnumeric (<= 1.3.92-1)
 Description: spreadsheet application for GNOME - additional plugins
  Gnumeric is a spreadsheet application that interoperates well
  with other spreadsheets. It comes with plugins that enable it to deal with
