## gnumeric 1.12.6

=== debian/changelog ===
gnumeric (1.12.6-1) unstable; urgency=low

  * New upstream release [August 2013].
    + graph:Plot fixes (Closes: #718594).
  * Dropped "mimetypes.patch" (applied-upstream).
  * Suggests: ttf-liberation --> fonts-liberation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 30 Aug 2013 13:44:41 +1000

gnumeric (1.12.4-1) unstable; urgency=low

  * New upstream release [July 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Jul 2013 17:20:45 +1000

gnumeric (1.12.3-1) unstable; urgency=low

  * New upstream release [June 2013].
    Bugs fixed:
    + "URL support in Excel export" (Closes: #226984).
    + "LaTeX landscape export" (Closes: #465565).
    + "Misbehaving menus from validating lists" (Closes: #660112).
    + "ssconvert: man page to mention that default is the active sheet"
      (Closes: #540071).
    + "ssgrep: man page improvements" (Closes: #530462).
    + "document how to add grid lines to a chart background"
      (Closes: #621735).
    + "names menu does not honour R1C1 setting" (Closes: #699054).
    + "export of FLOOR(x) to xlsx" (Closes: #464732).
  * Recommend "gnumeric-doc", not merely Suggest (Closes: #710742).
  * gnumeric-doc: promote "yelp" to Depends (Closes: #395967).
  * Build-Depends: "libgoffice-0.10-dev (>= 0.10.3)".
  * Dropped man.patch (applied-upstream).
  * Added MIMEtype registrations for .ODS files.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 01 Jul 2013 11:51:49 +1000

gnumeric (1.12.2-2) unstable; urgency=low

  * New "automake_1.13.2.patch" to fix FTBFS with automake (>= 1.13.2).
  * New "man.patch" to correct "hyphen-used-as-minus-sign" in man pages.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Jun 2013 12:20:40 +1000
