=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: gnumeric
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,dh-autoreconf ,dh-buildinfo ,po-debconf ,imagemagick ,dpkg-dev (>= 1.16.1.1)
               ,bison
+# "dblatex" needed for PDF generation:
+#             ,dblatex
               ,flex
               ,gettext
               ,intltool
               ,libart-2.0-dev
               ,libglib2.0-dev (>= 2.28.0)
               ,libgirepository1.0-dev
-              ,libgoffice-0.10-dev (>= 0.10.2)
+              ,libgoffice-0.10-dev (>= 0.10.3)
               ,libgsf-1-dev (>= 1.14.24)
               ,libgtk-3-dev
               ,libpango1.0-dev
@@ -36,11 +37,11 @@
         ,${misc:Depends} ,${shlibs:Depends}
         ,gsfonts
         ,procps
-Recommends: evince | evince-gtk
-            ,gnumeric-doc (>= ${Upstream-Version})
-            ,lp-solve
+Recommends: gnumeric-doc (>= ${Upstream-Version})
+           ,evince | evince-gtk
+           ,lp-solve
 Suggests: gnumeric-plugins-extra
-         ,ttf-liberation | ttf-mscorefonts-installer
+         ,fonts-liberation | ttf-mscorefonts-installer
 Breaks: gnumeric-doc (<< ${Upstream-Version})
        ,gnumeric-common (<< 1.12.2)
 Replaces: gnumeric-common (<< 1.12.2)
@@ -91,8 +92,8 @@
 Package: gnumeric-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
-Recommends: yelp, gnome-desktop-data
+Depends: ${misc:Depends}, yelp
+Recommends: gnome-desktop-data
 Suggests: gnumeric (>= ${Upstream-Version}), docbook-xsl
 Breaks: gnumeric (<< 1.1.17-2)
 Replaces: gnumeric (<< 1.1.17-2), docbook-xsl
