## gnumeric 1.12.9

=== debian/changelog ===
gnumeric (1.12.9-1) unstable; urgency=medium

  * New upstream release [November 2013].
    - removed "721520.patch".
  * Build-Depends: "libgoffice-0.10-dev (>= 0.10.9)".
  * Ship all sample .gnumeric files in -doc package;
    install compatibility symlink "/usr/share/doc/gnumeric/samples".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Dec 2013 13:11:42 +1100

gnumeric (1.12.6-2) unstable; urgency=low

  * New backported patch to fix crash when opening some files
    (Closes: #721520);
    Thanks, Morten Welinder.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 02 Sep 2013 01:20:43 +1000
