=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
               ,libart-2.0-dev
               ,libglib2.0-dev (>= 2.28.0)
               ,libgirepository1.0-dev
-              ,libgoffice-0.10-dev (>= 0.10.3)
+              ,libgoffice-0.10-dev (>= 0.10.9)
               ,libgsf-1-dev (>= 1.14.24)
               ,libgtk-3-dev
               ,libpango1.0-dev
@@ -95,8 +95,8 @@
 Depends: ${misc:Depends}, yelp
 Recommends: gnome-desktop-data
 Suggests: gnumeric (>= ${Upstream-Version}), docbook-xsl
-Breaks: gnumeric (<< 1.1.17-2)
-Replaces: gnumeric (<< 1.1.17-2), docbook-xsl
+Breaks: gnumeric (<< 1.2.9-1)
+Replaces: gnumeric (<< 1.2.9-1), docbook-xsl
 Description: spreadsheet application for GNOME - documentation
  Gnumeric is a spreadsheet application that interoperates well
  with other spreadsheets. It comes with plugins that enable it to deal with
